# Enum Class DistanceMatrixImporter.Triangle

java.lang.Object
java.lang.Enum<DistanceMatrixImporter.Triangle>
jebl.evolution.io.DistanceMatrixImporter.Triangle

All Implemented Interfaces:
  `Serializable, Comparable<DistanceMatrixImporter.Triangle>, Constable`

Enclosing interface:
  `DistanceMatrixImporter`

public static enum DistanceMatrixImporter.Triangle extends Enum<DistanceMatrixImporter.Triangle>

Version:
  $Id: DistanceMatrixImporter.java 185 2006-01-23 23:03:18Z rambaut $
Author:
  Andrew Rambaut, Alexei Drummond

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOTH`
`LOWER`
`UPPER`

## Method Summary

Modifier and Type
Method
Description
`static DistanceMatrixImporter.Triangle`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DistanceMatrixImporter.Triangle[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LOWER

public static final DistanceMatrixImporter.Triangle LOWER

### UPPER

public static final DistanceMatrixImporter.Triangle UPPER

### BOTH

public static final DistanceMatrixImporter.Triangle BOTH

## Method Details

### values

public static DistanceMatrixImporter.Triangle[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DistanceMatrixImporter.Triangle valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null